Subject: bug#2563: rgrep killing emacs

From: [email-masked]
Date: Tue, 3 Mar 2009 23:45:11 +0200 (EET)

Hello,

I am running this verison of emacs:

GNU Emacs 23.0.91.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11) of 
2009-03-02 on avk

On Gentoo Linux.

I think there is problem with process management. I have found this bug:

1. Run rgrep (some long like finding some text in homedir)
2. Run rgrep again (previous is not finished)
3. rgrep asks: "A grep process is running; kill it? (y or n)". If I answer
    yes,
    Fatal error (6)zsh: abort (core dumped)  emacs -Q -nw

Backtrace:
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb73dd406 in kill () from /lib/libc.so.6
#2  0x0811a03d in fatal_error_signal ()
#3  <signal handler called>
#4  0xffffe424 in __kernel_vsyscall ()
#5  0xb73dd406 in kill () from /lib/libc.so.6
#6  0x0811839c in abort ()
#7  0x080c3179 in multibyte_chars_in_text ()
#8  0x0814102e in insert_1 ()
#9  0x0807b720 in message_dolog ()
#10 0x080904ea in message3 ()
#11 0x0817ee02 in Fmessage ()
#12 0x08183f43 in Ffuncall ()
#13 0x081b6838 in Fbyte_code ()
#14 0x081837e5 in funcall_lambda ()
#15 0x08183c1b in Ffuncall ()
#16 0x081b6838 in Fbyte_code ()
#17 0x081837e5 in funcall_lambda ()
#18 0x08183c1b in Ffuncall ()
#19 0x08185473 in Fapply ()
#20 0x081855a4 in apply1 ()
#21 0x081b960d in read_process_output_call ()
#22 0x08182521 in internal_condition_case_1 ()
#23 0x081b97f8 in exec_sentinel ()
#24 0x081b9a0a in status_notify ()
#25 0x081bdee4 in wait_reading_process_output ()
#26 0x081258f0 in read_char ()
#27 0x081a55a3 in read_filtered_event ()
#28 0x081a5899 in Fread_event ()
#29 0x08183da9 in Ffuncall ()
#30 0x081b6838 in Fbyte_code ()
#31 0x081837e5 in funcall_lambda ()
#32 0x08183c1b in Ffuncall ()
#33 0x081b6838 in Fbyte_code ()
#34 0x08183283 in Feval ()
#35 0x081858a1 in internal_lisp_condition_case ()
#36 0x081b5b31 in Fbyte_code ()
#37 0x081837e5 in funcall_lambda ()
#38 0x08183c1b in Ffuncall ()
#39 0x081b6838 in Fbyte_code ()
#40 0x081837e5 in funcall_lambda ()
#41 0x08183c1b in Ffuncall ()
#42 0x08185473 in Fapply ()
#43 0x081855a4 in apply1 ()
#44 0x0817fafb in Fcall_interactively ()
#45 0x08183da9 in Ffuncall ()
#46 0x08183fc9 in call3 ()
#47 0x0811dc07 in Fexecute_extended_command ()
#48 0x08183d70 in Ffuncall ()
#49 0x08180ff5 in Fcall_interactively ()
#50 0x08183da9 in Ffuncall ()
#51 0x08183fc9 in call3 ()
#52 0x081297ae in command_loop_1 ()
#53 0x0818275b in internal_condition_case ()
#54 0x081238de in command_loop_2 ()
#55 0x0818281c in internal_catch ()
#56 0x081242b9 in command_loop ()
#57 0x08124627 in recursive_edit_1 ()
#58 0x08124761 in Frecursive_edit ()
#59 0x0811934d in main ()

Any additional information about this bug required?

--
Alex V. Koval
http://alex.koval.kharkov.ua/
http://www.halogen-dg.com/
http://www.djwarehouse.org/